import {Component, OnInit} from '@angular/core';
import {GenderEnum, PersonModel} from "../models";

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit {
  private readonly nbPerson: number = 10;

  private persons: PersonModel[] = [];

  ngOnInit(): void {
    for (let i = 0; i < this.nbPerson; i++) {
      const person = new PersonModel();
      person.id = i;
      person.lastname = 'Tata ' + person.id;
      person.firstname = 'Toto';
      person.email = 'toto.tata@test.fr';
      person.gender = i % 2 === 0 ? GenderEnum.FEMALE : GenderEnum.MALE;

      this.persons.push(person);
    }
  }
}
